% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Inventory.R
\name{Inventory}
\alias{Inventory}
\title{Create a FRN depth profile object (Class Inventory)}
\usage{
Inventory(zup, zdown, FRN, name, origin = "measured", isotope = NA,
  halfLife = NA, falloutTime = NA, refTime = NA,
  timeFormat = "\%Y-\%m-\%d", massDepth = NA)
}
\arguments{
\item{zup}{The upper limits of the layers}

\item{zdown}{The lower limits of the layers}

\item{FRN}{A single value or a list of Fallout RadioNuclides, FRN, inventory}

\item{name}{The name of the place}

\item{origin}{The source of the profile (default is "measured")}

\item{isotope}{The isotope code used as tracer}

\item{halfLife}{The time required for a quantity of the isotope to reduce to half its initial value}

\item{falloutTime}{A character representing the date-time of fall-out (default is NA)}

\item{refTime}{A character representing the date-time of reference (e.g. sampling time)}

\item{timeFormat}{A character representing the date-time format (default \%Y-\%m-\%d)}

\item{massDepth}{The area density of the soil (in kg m^-2)}
}
\value{
A new FRN depth profile object (class "Inventory")
}
\description{
This function initializes an object of class Inventory
that stores the FRN inventory of each layer
and other metadata of the profile
}
\examples{
zup = c(0,-1,-2,-3)
zdown = c(-1,-2,-3,-4.5)
FRN = c(100,80,60,30)
name = 'Reference Site 1'
myRDF = Inventory(zup,zdown,FRN, name)
}

