% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/addSmoothedLayers.R
\name{addSmoothedLayers}
\alias{addSmoothedLayers}
\title{Add smooth layers}
\usage{
addSmoothedLayers(RDF, Depth, NumLay = 1, DEBUG = F)
}
\arguments{
\item{RDF}{A Reference Depth Profile object (class "Inventory")}

\item{Depth}{The depth to add at the bottom of the profile or a FRN total inventory sampling site (class "Inventory")}

\item{NumLay}{The number of layers to use to calculate the initial value of the smoothed profile (default is 1 = use the deeper layer)}

\item{DEBUG}{Print intermediate results (default is False)}
}
\value{
A new Reference Depth Profile object (class "Inventory")
}
\description{
This function add several layers to the end of the profile
with exponential decrease starting from the deeper value
and decreasing up to the depth of the sample profile.
}
\examples{
myRDF = createReferenceProfile(c(14.27,29.83,20.21,12.39,6.28),3, 'Reference')
plot(myRDF)
newDepth = 9
myRDF.smo = addSmoothedLayers(myRDF,newDepth)
plot(myRDF.smo)
}

