% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/createReferenceProfile.R
\name{createReferenceProfile}
\alias{createReferenceProfile}
\title{Create Reference Profile}
\usage{
createReferenceProfile(FRNinv, thickness, name, isotope = NA, halfLife = NA,
  falloutTime = NA, refTime = NA, timeFormat = "\%Y-\%m-\%d",
  massDepth = NA)
}
\arguments{
\item{FRNinv}{A list of FRN values}

\item{thickness}{The thickness of the layers (the same for all the layers)}

\item{name}{The name of the site}

\item{isotope}{The isotope code used as tracer}

\item{halfLife}{The time required for a quantity of the isotope to reduce to half its initial value}

\item{falloutTime}{A character representing the date-time of fall-out}

\item{refTime}{A character representing the date-time of sampling}

\item{timeFormat}{A character representing the date-time format (default \%Y-\%m-\%d)}

\item{massDepth}{The area density of the soil (in kg m^-2)}
}
\value{
A new FRN depth profile object (class "Inventory")
}
\description{
This function creates the inventory profile of the reference site
adding several layers, from top (starting from 0) to bottom (negative values),
according to the distribution of the FRN Inventory and
considering a fixed layer thickness
}
\examples{
myRP = createReferenceProfile(c(14.27,29.83,20.21,12.39,6.28),
                              3, 'Reference site 1')
}

