% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/createSamplingProfile.R
\name{createSamplingProfile}
\alias{createSamplingProfile}
\title{Create Sampling Profile}
\usage{
createSamplingProfile(FRNinv, thickness, name, isotope = NA, halfLife = NA,
  falloutTime = NA, refTime = NA, timeFormat = "\%Y-\%m-\%d",
  massDepth = NA)
}
\arguments{
\item{FRNinv}{A FRN value (only one is accepted)}

\item{thickness}{The thickness of the layer}

\item{name}{The name of the site}

\item{isotope}{The isotope code used as tracer}

\item{halfLife}{The time required for a quantity of the isotope to reduce to half its initial value}

\item{falloutTime}{A character representing the date-time of fall-out}

\item{timeFormat}{A character representing the date-time format (default \%Y-\%m-\%d)}

\item{massDepth}{The area density of the soil (in kg m^-2)}

\item{samplingTime}{A character representing the date-time of sampling}
}
\value{
A new FRN depth profile object (class "Inventory")
}
\description{
This function creates the inventory profile of the sampling site
composed by an unique layer of total FRN value FRNinv.
The layer extends from zero (top) to the depth equal to the thickness.
}
\examples{
mySP = createSamplingProfile(14.27, 10, 'Sampling site 1')
}

