% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/decayCorrection.R
\name{decayCorrection}
\alias{decayCorrection}
\title{Decay Correction}
\usage{
decayCorrection(FRNinv, halflife = NA, newTime = NA,
  oldTime = FRNinv$refTime, timeFormat = "\%Y-\%m-\%d")
}
\arguments{
\item{FRNinv}{An Inventory class object}

\item{halflife}{The half-time expressed in seconds or an isotope code}

\item{newTime}{The new reference time for decay correction (character)}

\item{oldTime}{The old reference time for decay correction (character, default is FRNinv$refTime)}

\item{timeFormat}{The time format used to express the time (default is \%Y-\%m-\%d)}
}
\value{
A new FRN depth profile object (class "Inventory")
}
\description{
This function updates the FRN inventory considering the physical decay.
}
\examples{
SP = createSamplingProfile(50,30,'Sampling profile')
## the new time is later than old time
SP.later = decayCorrection(SP,halflife=951441000,newTime='01/01/2015', oldTime = '01/01/2010',timeFormat = '\%d/\%m/\%Y')
print(SP.later)
## the new time is earlier than old time
SP.earlier = decayCorrection(SP.later,halflife=951441000,newTime='01/01/2010', oldTime = '01/01/2015',timeFormat = '\%d/\%m/\%Y')
print(SP.earlier)
}
\seealso{
See also \url{http://www.turkupetcentre.net/petanalysis/decay.html} for details.
}

